Linux’da Meltdown ve Spectre Güvenlik Açığı kontrol etme

Linux'da Meltdown ve Spectre Güvenlik Açığı kontrol etme

Bu yazıda Linux kullanıcıları için bilgisayarlarında Meltdown ve Spectre Güvenlik Açığı olup olmadığının nasıl kontrol edilebileceğini göstereceğim.

Öncelikle bir terminal açıyoruz ve “git clone https://github.com/speed47/spectre-meltdown-checker.git” yazıyoruz ve Spectre Meltdown Checker shell scriptini indiriyoruz.

Bu shell script 2018 yılının başında kamuoyuna açıklanan 3 spekülatif yürütme güvenlik açığına (Meltdown ve Spectre) karşı  linux kurulu bilgisayarınızın savunmasız olup olmadığını anlamak için kullanılan basit bir kabuk komut dosyasıdır. (Shell Script) Seçenekler olmadan, o anda çalışmakta olan çekirdeği inceler.

Terminal’de spectre-meltdown-checker.sh‘i çalıştırmamız gerekiyor bunun için ./spectre-meltdown-checker.sh komutunu kullanıyoruz.

spectre meltdown checker scriptini çalıştırıyoruz

Script bilgisayarınızda CVE-2017-5753CVE-2017-5715 ve CVE-2017-5754 adındaki 3 spekülatif yürütme güvenlik açığının bulunup bulunmadığını kontrol eder.

Scripti çalıştırdıktan sonra işlem sonlandığında aşağıdaki gibi bir tarama sonucu elde edersiniz.

spectre meltdown scrip komut dosyası çıktı örneği

Sizde Üyelerimiz Arasında Yer Alın !

Yeni konu ve içerikleri yakından takip edin....

Üye olursanız sık sık bildirimler alacaksınız. Üye olmadan önce bu tür durumlardan rahatsız olup olmayacağınızı gözden geçirin.

Yazar Hakkında Bilgi

Uzun yıllardır IT sektöründe bulunmaktayım. Bu blog teknolojik konularda kullanıcıları bilgilendirme, yardımcı olabilme amacı taşır. Fikir ve önerileriz konusunda bizlere iletişim bölümümüz üzerinden ulaşabilirsiniz.

Bir Yorum Yaz